function [ map, prc, topK ] = calcAll( tselLabel, trainLabel, testInstance, trainInstance, K )
% CALCALL mAPtopmAPPR
% input
%   testLabellabel of testing data  numQuery * numLabel
%   trainLabellabel of training data  n * numLabel
%   testInstance hash code of test data, numQuery * bits
%   trainInstance: hash code of training data, n * bits
%   Kparameter of topKmap
% output
%   mapmAP value
%   prcpr curve values
%   topKinclude  map, topkMaptopkPretopkRec

  
    testInstance = bitCompact( testInstance >= 0 );
    trainInstance = bitCompact( trainInstance >= 0 );
    
   
    if exist('K', 'var')
        topK = calcMapTopkMapTopkPreTopkRecLabel( tselLabel, trainLabel, testInstance, trainInstance, K );
        map = topK.map;
    else
        map = calcMapTopkMapTopkPreTopkRecLabel( tselLabel, trainLabel, testInstance, trainInstance );
        topK = 0;
    end
    
    prc = calcPreRecRadiusLabel( tselLabel, trainLabel, testInstance, trainInstance );

end

